

layout(location = 0, index = 0) out vec4 outcol;

uniform sampler2D tex0;
uniform vec4 fill;

in vec2 texcoord0_nm;

void main()
{
	float m = mod( gl_FragCoord.y, 2.0f );
	if ( (m < 1.5f) && !((gl_FragCoord.y < 100) || (gl_FragCoord.y > 200)) && (fill.x > 0.5f) ) {
		discard;
	}

	vec4 sample_col = texture( tex0, texcoord0_nm );
	outcol = sample_col;
}
